Subject: Re: bug#21365: Edebug always stops when execution enters an instrumented function

From: Alexis <[email-masked]>
Date: Tue, 01 Sep 2015 20:05:03 +1000

Paul Pogonyshev <[email-masked]> writes:

> This more of a feature request: make edebug stop when entering 
> such a function _optionally_.
>
> Usecase: I want to debug certain function, but only when it 
> takes specific execution route. I instrument the function, set a 
> breakpoint where I want to debug it. But in addition to the 
> breakpoint, edebug also pauses each time the function is entered 
> and I see no way to disable it.

Perhaps i'm misunderstanding you, but is setting the value of 
`edebug-initial-mode` what you're after?

https://www.gnu.org/software/emacs/manual/html_node/elisp/Edebug-Options.html#Edebug-Options

What happens if you set the value of that variable to 'go?

Alexis.